
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>判断用户的在线状态 onbeforeunload事件_javascript技巧 / iVAN</title>

    <meta name="description" content="判断用户的在线状态 onbeforeunload事件_javascript技巧 获得用户登陆状态不用说了,判断离开的话就有一点问题了,如果说用户都是按照设计者的规定触发退出事件离开的话那就没什么难度了,但是用户的离开方式多种多样,怎么在用户非法离开的时候即时的判断离开呢?最常见的非法离开就是关闭浏览器了. 复制代码 代码如下: &lt;BODY onbeforeunload=&quot;body_onUnload()&quot;&gt; &lt;script&gt; window.onbeforeunload = function() { if (window.event. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">判断用户的在线状态 onbeforeunload事件_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>获得用户登陆状态不用说了，判断离开的话就有一点问题了，如果说用户都是按照设计者的规定触发退出事件离开的话那就没什么难度了，但是用户的离开方式多种多样，怎么在用户非法离开的时候即时的判断离开呢？最常见的非法离开就是关闭浏览器了。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;BODY onbeforeunload="body_onUnload()"&gt; <br />&lt;script&gt; <br />window.onbeforeunload = function() { <br />if (window.event.clientX&gt;document.body.clientWidth&amp;&amp;event.clientY&lt;0||event.altKey) <br />{ <br />alert("浏览器关闭"); <br />} <br />else <br />{ <br />alert("刷新或者跳转到其他页"); <br />} <br />} <br />&lt;/script&gt; <br />&lt;/BODY&gt;</p>
<p>以上是一个片段，BODY 的 UNLOAD和onbeforeunload事件会在浏览器清除所加载的信息时被触发，也就是说页面在回送、重定向或被关闭的时候就会触发 ，通过这个事件加上JAVASCRIPT处理就可以实现非法关闭浏览器也即时统计在线人数了。</p>
<p>但是有个问题，怎么判断用户是关闭还是刷新、回送、重定向呢？</p>
<p>window.event.clientX和window.event.clientY 将捕捉当前事件发生时鼠标相对与窗口的桌面坐标，通常情况下IE的关闭按钮都会在页面的右上部分，所以点关闭的时候鼠标的坐标的Y坐标一定是小于0的，另外，鼠标坐标的X方向上坐标数值会大于窗体宽度，所以，从这两个条件就可以判断鼠标是不是在点关闭按钮引发的onbeforeload事件。 <br />还有一种关闭方法是ALT+F4 ，通过event.altKey就可以判断，事件发生的时候ALT键是不是被按下了，这样也就判断出了是不是时候ALT+F4来关闭窗口。</p>
<p>不过也出现一个问题，当使用一些特殊的左面主题的时候 关闭按钮可触发的坐标数值不一定小于窗体宽度，所以，上面例子中的window.event.clientX&gt;document.body.clientWidth这个条件可以不要.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:44:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/onbeforeunload/" title="onbeforeunload">onbeforeunload</a>, <a href="https://www.iamivan.net/tag/%e5%9c%a8%e7%ba%bf%e7%8a%b6%e6%80%81/" title="在线状态">在线状态</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>判断用户的在线状态 onbeforeunload事件_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLje6M.html" rel="bookmark">判断用户是否在线的代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				考虑两种情况: (1)用户关闭浏览器或重定向到其他网页 复制代码 代码如下: &lt;script type=text/javascript&gt; function exit_init() { if(xmlhttp.readyState==4){ if(xmlhttp.status==200){ // } else{ alert(&quot;there was a problem accessing the server:&quot;+xmlhttp.status); } } } //定义windows			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5Pv8z.html" rel="bookmark">关闭浏览器时提示onbeforeunload事件&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				onbeforeunload事件 它是这样用的: 复制代码 代码如下: &lt;script language=&quot;javascript&quot;&gt;      g_blnCheckUnload = true;      function RunOnBeforeUnload() {              if (g_blnCheckUnload) {        window.event.returnValue = 'You will lose any unsaved content'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8x3Wp.html" rel="bookmark">利用JS判断用户是否上网&lpar;连接网络&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: 复制代码 代码如下: &lt;HTML xmlns:CAP&gt;&lt;HEAD&gt;&lt;TITLE&gt;JS检测用户是否上网&lt;/TITLE&gt;&lt;META HTTP-EQUIV=&quot;Content-Type&quot; CONTENT=&quot;text/html;charset=gb2312&quot;&gt;&lt;style&gt; @media all {CAP\\:clientCaps {behavior:url(#default#clientca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKr0kz.html" rel="bookmark">用js判断页面刷新或关闭的方法&lpar;onbeforeunload与onunload事件&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Onunload,onbeforeunload都是在刷新或关闭时调用,可以在&lt;script&gt;脚本中通过window.onunload来指定或者在&lt;body&gt;里指定.区别在于onbeforeunload在onunload之前执行,它还可以阻止onunload的执行. Onbeforeunload也是在页面刷新或关闭时调用,Onbeforeunload是正要去服务器读取新的页面时调用,此时还没开始读取:而onunload则已经从服务器上读到了需要加载的新的页面,在即将替换掉当前页面时调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN4Gxp.html" rel="bookmark">javascript判断网页是关闭还是刷新&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理就是通过离开页面行为时间onunload触发时间去检测此时的浏览器的窗口大小,根据大小由此判断用户是刷新,跳转或是关闭行为程序  代码如下  window.onunload = function(){ var a_n = window.event.screenX - window.screenLeft; var a_b = a_n &gt; document.documentElement.scrollWidth-20; if(a_b &amp;&amp; window.event.clientY&l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p58n0AM.html" rel="bookmark">JavaScript 捕获窗口关闭事件&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.用javascript重新定义 window.onbeforeunload() 事件 在javascript里定义一个函数即可 function window.onbeforeunload() { alert(&quot;关闭窗口&quot;)} alert()事件将会在关闭窗口前执行,你也可以用户决定是否关闭窗口 function window.onbeforeunload() { if (event.clientX&gt;document.body.clientWidth &amp;&amp; e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GARJp.html" rel="bookmark">解析WordPress中控制用户登陆和判断用户登陆的PHP函数&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				登陆函数:wp_signon() 函数介绍: wp_signon()函数用于授权给用户登陆wordpress并可记住该用户名称.该函数取代了wp_login.WordPress 2.5版本起启用. 函数使用: &lt;?php wp_signon( $credentials, $secure_cookie ) ?&gt; 参数说明: $credentials (array) (可选) 登陆用户信息. Default: None $secure_cookie (boolean) (可选) 决定是否使用安全c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmV4xwz.html" rel="bookmark">判断访客终端类型集锦&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当用户使用手机等移动终端访问网站时,我们可以通过程序检测用户终端类型,如果是手机用户,则引导用户访问适配手机屏幕的移动站点.本文将介绍分别使用PHP和JAVASCRIPT代码判断用户终端类型. PHP版 我们使用PHP的$_SERVER['HTTP_USER_AGENT']来获取手机用户浏览器的用户代理,然后匹配已有的各种手机浏览器代理库,如果含有匹配的关键字,则判断为手机(移动终端)用户. function is_mobile() { $user_agent = $_SERVER['HTTP_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWoNYz.html" rel="bookmark">php判断用户是否手机访问代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着移动设备的普及,网站也会迎来越来越多移动设备的访问.用适应PC的页面,很多时候对手机用户不友好,那么有些时候,我们需要判断用户是否用手机访问,如果是手机的话,就跳转到指定的手机友好页面.这里就介绍一下,如何判断用户是否用手机访问. 自定义的函数如下: $agent = check_wap(); if( $agent ) { header('Location: http://www.jb51.net'); exit; } // check if wap function check_wap()			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgG05M.html" rel="bookmark" class="title">Community中的程序配置</a>
					<div>
						程序 程序采用多个配置文件,现简要介绍心下几个元素 1 .1 &lt;pages&gt; 元素&lt;pages validateRequest=&quot;false&quot; /&gt; 标识特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXYXWz.html" rel="bookmark" class="title">建站之根本还是以SEO用户体验为中心</a>
					<div>
						对于百万站长来说建站只不过是弹指之间的事,修改.美化.上转.安装就结束了,但是,你们有注意过用户体验吗?我们建站为的是什么,无非是那看统计表上的IP能每日高于每日,但是凭空想象并非能够成为现实,还得让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjQK2p.html" rel="bookmark" class="title">Linux负载均衡：Lvs技术</a>
					<div>
						一.Lvs技术主要3种方式 1.nat(地址转换技术) 通过网络地址转换,lvs调度器重写请求报文的目标地址,根据设定的调度算法,将请求分派给后端的真实web服务器.真实服务器的相应报文通过调度器时源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOEERM.html" rel="bookmark" class="title">Word 2010常用符号添加&OpenCurlyDoubleQuote;自动更正&rdquo;</a>
					<div>
						    为了能够利用键盘直接输入键盘上没有的符号,用户可以通过在Word2010中为常用符号添加&quot;自动更正&quot;条目来实现.在Word2010中为常用符号添加&quot;自动更正&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2QEJb.html" rel="bookmark" class="title">Photoshop制作简单的红色水晶糖果字</a>
					<div>
						教程介绍简单的水晶字效果制作方法.不同之处是在制作的时候,我们加进了一些自己的纹理图案.其它部分的制作基本与水晶字制作方法一样,用图层样式做出大致水晶效果,再加上一些高光即可. 最终效果 1.在 Ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd71J3M.html" rel="bookmark" class="title">Youku 视频绝对地址获取的方法详解</a>
					<div>
						前一阵子为了研究 KnLiveCommentary 而进行了一系列的关于视频站点的研究.由于KnLiveCommentary需要能够获取充足的视频源进行测试,所以我们选取了 Youku(优酷)一个比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8N4Zp.html" rel="bookmark" class="title">Javascript中常见的校验如域名、手机、邮箱等等</a>
					<div>
						 Javascript中常见的校验如:验证一般域名校验,手机校验,邮箱校验,身份证校验等等,下面是具体的实现,感兴趣的朋友可以参考下  代码如下: &lt;script type=&quot;text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8qJkb.html" rel="bookmark" class="title">Win7开机蓝屏出现错误代码0x00000024怎么办</a>
					<div>
						  Win7开机蓝屏出现错误代码0x00000024的解决方法: 1.先启动电脑,在系统启动画面快出现时按键盘上的&quot;F8&quot;快捷键,进入启动菜单选项,可以试着进入&quot;安全模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8eRlp.html" rel="bookmark" class="title">为什么我的U盘这么慢？</a>
					<div>
						  首先,就芯片问题来说,目前市场上存在着SLC.MLC以及TLC三种.SLC芯片优盘在速度上有明显的优势,充分显示了SLC芯片的强大性能.SLC芯片在载入速度以及数据传输速度上有着强大的优势,在能耗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYRn0b.html" rel="bookmark" class="title">Linux系统下卸载USB设备的方法</a>
					<div>
						Linux系统下通常都会自动挂载USB设备,如果没有自动挂载的话就需要自己手动挂载USB设备了,那么Linux下要如何挂载USB设备呢?不需要的时候又要如何卸载呢?一起来了解下吧. 在挂载之前需要确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYgdvb.html" rel="bookmark" class="title">hdu 1999 不可摸数</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=1999 #include &lt;iostream&gt; #include &lt;cstring&gt; #i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKvoJM.html" rel="bookmark" class="title">在WordPress中实现发送http请求的相关函数解析&lowbar;php技巧</a>
					<div>
						在 PHP 中发送 Http 请求(GET / POST)有很多的方法,比如 file_get_contents() 函数.fopen() 函数或者 cURL 扩展,但由于服务器的情况不同,所以不一定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2ABb.html" rel="bookmark" class="title">sdl2 0-关于sdl在ios中输入拼音的问题</a>
					<div>
						问题描述 关于sdl在ios中输入拼音的问题 做的是ios app,我们现在项目里面用的sdl跨平台,平常开发在windows下,在处理文本输入的时候,英文输入的情况在windows和ios下都没有任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamEgPb.html" rel="bookmark" class="title">Java Swing 绝对布局管理方法，null布局（转）</a>
					<div>
						首先把相关容器的布局方式设为 setLayout(null); 然后调用组件的  setBounds() 方法 设置button的位置为(100,100) 长宽分别为 60,25 jButton.se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkwlDb.html" rel="bookmark" class="title">编辑器-form表单通过360浏览器提交数据，controller获取不到参数</a>
					<div>
						问题描述 form表单通过360浏览器提交数据,controller获取不到参数 我做了一个小DEMO,进行新闻的CRUD,用的是ueditor,测试的时候,IE可以显示数据, 火狐也可以,chrom ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6L6qM.html" rel="bookmark" class="title">SolrJ的使用</a>
					<div>
						CommonsHttpSolrServer     CommonsHttpSolrServer 使用HTTPClient 和solr服务器进行通信. Java代码   String url = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrQRZM.html" rel="bookmark" class="title">IDC&colon;开源软件市场发展提速</a>
					<div>
						本文讲的是IDC:开源软件市场发展提速,[IT168 资讯]一份最新的IDC研究包括显示,在世界范围内开源软件收入每年将增长了22.4%,预计在2013年达到81亿美元. 这次预测明显高于去年,IDC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWnx4p.html" rel="bookmark" class="title">PostgreSQL Analyze分区表：主表与子表的统计信息问题</a>
					<div>
						  最近在PostgreSQL的Mail List中参与讨论了一个问题: ANALYZE'ing table hierarchies.   网友认为在Analyze分区表的时候,只能看到主表的anal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE63BPM.html" rel="bookmark" class="title">担心提前做了码农的大学生</a>
					<div>
						这封信里的信息量很大,包含了不少让IT大学生专业学习无效的想法.由于写书赶进度,第一次迟了十多天才回复.但愿这封信能鼓起他学习的激情.[来信] 贺老师,您好.我现在是个即将挪入大二的学生,我是一个思想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA74nM.html" rel="bookmark" class="title">java中如何进行权限管理，不同用户在界面显示的功能也不同。</a>
					<div>
						问题描述 java中如何进行权限管理,不同用户在界面显示的功能也不同. 每个用户的权限不同,超级管理员可以将权限赋予给用户,用户不能操作不具有权限的功能,求大神帮忙 解决方案 一般都会使用一些权限模型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z505p.html" rel="bookmark" class="title">Java微信开发之现金红包接口</a>
					<div>
						1.接口文档 https://pay.weixin.qq.com/wiki/doc/api/cash_coupon.php?chapter=13_5 2.证书下载及证书安装 首先,商户调用微信红包接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqNELz.html" rel="bookmark" class="title">c&num;-C&num; TEXTBOX控件得到当前时间，但是无法修改！求大神</a>
					<div>
						问题描述 C# TEXTBOX控件得到当前时间,但是无法修改!求大神 是这样的,我要做一个系统,需要得到当前时间. 例: TextBox1.Text = System.DateTime.Now.ToS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKlAoz.html" rel="bookmark" class="title">从陈坤微信号说起：微信公众平台开发者的江湖</a>
					<div>
						  陈坤的微信公众号这段时间大火,企鹅君其实也想发表点意见的,但无奈不懂娱乐圈,姿势不够只有看的份. 不过看来看去吧,发现个问题:大家关注陈坤微信号如何圈钱的同时,就没想过问下,这个微信公众号到底谁做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK58nb.html" rel="bookmark" class="title">在一个免费操作系统为王的时代，Windows 10还能独善其身吗？</a>
					<div>
						科技网站ZDNet近日撰文称,在一个用户为王的时代,操作系统们为了获得青睐都放下了身段,采用免费策略,但其中却有一个例外--Windows 10.这样的一反常理让许多人不看好Windows的未来,难道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgnvJM.html" rel="bookmark" class="title">C&num;制作看门狗程序 看护程序由于dll等原因导致程序异常弹出错误框，但是没有退出进程，应该如何判断来从起改程序</a>
					<div>
						问题描述 目前写的判断在线代码如下publicBooleanisAlive(){Processp=process();if(p==null)returnfalse;if(p.Responding==t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5EW7p.html" rel="bookmark" class="title">源码-DefaultHttpClient&lpar;&rpar;不推荐使用如何解决&quest;</a>
					<div>
						问题描述 DefaultHttpClient()不推荐使用如何解决? 今天在搞一个简单的获取网页源码的例子时发现HttpClient httpclient = new DefaultHttpClien ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y9R9z.html" rel="bookmark" class="title">引领社交通讯新概念MM语音重磅登场</a>
					<div>
						导语:近期,各类基于智能机平台的即时通讯工具纷纷涌现.告别手指输入短信,语音通讯逐渐成为了当前最时尚便捷的通讯方式.而MM带领着社交通讯概念的来袭,又会给这个市场带来怎样的变化,让我们拭目以待.htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnXo9M.html" rel="bookmark" class="title">艺龙发布未经审计的2009年第四季度及全年财报</a>
					<div>
						本报讯 (记者何颖思)昨日,在线旅行公司艺龙旅行网发布了未经审计的2009年第四季度及全年财报.财报显示,艺龙2009年销售额为人民币37950万元,同比增长9%.2009年全年净利润为人民币1990 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqJ3yb.html" rel="bookmark" class="title">刚学的Hibernate求解session的关闭问题</a>
					<div>
						问题描述 package com.pb.hibernate.util;import org.hibernate.Session;import org.hibernate.SessionFactory; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6ld2M.html" rel="bookmark" class="title">工信部：一季度中移动用户申诉占总用户比最低</a>
					<div>
						C114讯 4月27日下午消息(度轩)工信部发布2011年一季度电信服务通告显示,我国电信运营商被申诉总量为15154次,中国移动总被申诉6596次,申诉用户占其6亿总用户之比居三家之尾. 数据显示, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
